{ *************************************************************************** }
{                                                                             }
{ EControl Form Designer Pro                                                  }
{                                                                             }
{ Copyright (c) 2004 - 2009 EControl Ltd., Zaharov Michael                    }
{     www.econtrol.ru                                                         }
{     support@econtrol.ru                                                     }
{                                                                             }
{ *************************************************************************** }

// Registration define (for registered users)
{$DEFINE EC_DSN_REG}

{$ObjExportAll On}
{$ALIGN ON}
{$BOOLEVAL OFF}
{$LONGSTRINGS ON}
{$WRITEABLECONST ON}

// Version defines
{$IFDEF LINUX}
  Error: Kylix is not supported
{$ELSE}
  // Delphi 2010
  {$IFDEF VER210}
      {$DEFINE EC_VCL14}
      {$DEFINE EC_VCL14_UP}
      {$DEFINE EC_VCL13_UP}
      {$DEFINE EC_VCL12_UP}
      {$DEFINE EC_VCL11_UP}
      {$DEFINE EC_VCL10_UP}
      {$DEFINE EC_VCL9_UP}
      {$DEFINE EC_VCL8_UP}
      {$DEFINE EC_VCL7_UP}
      {$DEFINE EC_VCL6_UP}
      {$DEFINE EC_VCL5_UP}
      {$DEFINE EC_DELPHI}
  {$ELSE}
  // Delphi 2009
    {$IFDEF VER200}
        {$DEFINE EC_VCL12}
        {$DEFINE EC_VCL12_UP}
        {$DEFINE EC_VCL11_UP}
        {$DEFINE EC_VCL10_UP}
        {$DEFINE EC_VCL9_UP}
        {$DEFINE EC_VCL8_UP}
        {$DEFINE EC_VCL7_UP}
        {$DEFINE EC_VCL6_UP}
        {$DEFINE EC_VCL5_UP}
        {$DEFINE EC_DELPHI}
    {$ELSE}
        // Delphi 2007
      {$IFDEF VER185}
          {$DEFINE EC_VCL11}
          {$DEFINE EC_VCL11_UP}
          {$DEFINE EC_VCL10_UP}
          {$DEFINE EC_VCL9_UP}
          {$DEFINE EC_VCL8_UP}
          {$DEFINE EC_VCL7_UP}
          {$DEFINE EC_VCL6_UP}
          {$DEFINE EC_VCL5_UP}
          {$DEFINE EC_DELPHI}
      {$ELSE}
        // Delphi 2006
        {$IFDEF VER180}
          {$IFNDEF WIN32}
            {$DEFINE EC_DOTNET}
          {$ENDIF}
          {$DEFINE EC_VCL10}
          {$DEFINE EC_VCL10_UP}
          {$DEFINE EC_VCL9_UP}
          {$DEFINE EC_VCL8_UP}
          {$DEFINE EC_VCL7_UP}
          {$DEFINE EC_VCL6_UP}
          {$DEFINE EC_VCL5_UP}
          {$DEFINE EC_DELPHI}
        {$ELSE}
          // Delphi 2005
          {$IFDEF VER170}
            {$IFNDEF WIN32}
              {$DEFINE EC_DOTNET}
            {$ENDIF}
            {$DEFINE EC_VCL9}
            {$DEFINE EC_VCL9_UP}
            {$DEFINE EC_VCL8_UP}
            {$DEFINE EC_VCL7_UP}
            {$DEFINE EC_VCL6_UP}
            {$DEFINE EC_VCL5_UP}
            {$DEFINE EC_DELPHI}
          {$ELSE}
            // Delphi 8
            {$IFDEF VER160}
                Error: Delphi 8 is not supported
            {$ELSE}
              // Delphi 7
              {$IFDEF VER150}
                {$DEFINE EC_VCL7}
                {$DEFINE EC_VCL7_UP}
                {$DEFINE EC_VCL6_UP}
                {$DEFINE EC_VCL5_UP}
                {$IFDEF BCB}
                  {$DEFINE EC_BCB}
                {$ELSE}
                  {$DEFINE EC_DELPHI}
                {$ENDIF}
              {$ELSE}
                // Delphi 6
                {$IFDEF VER140}
                  {$DEFINE EC_VCL6}
                  {$DEFINE EC_VCL6_UP}
                  {$DEFINE EC_VCL5_UP}
                  {$IFDEF BCB}
                    {$DEFINE EC_BCB}
                  {$ELSE}
                    {$DEFINE EC_DELPHI}
                  {$ENDIF}
                {$ELSE}
                  // Delphi 5
                  {$IFDEF VER130}
                    {$DEFINE EC_VCL5}
                    {$DEFINE EC_VCL5_UP}
                    {$IFDEF BCB}
                      {$DEFINE EC_BCB}
                    {$ELSE}
                      {$DEFINE EC_DELPHI}
                    {$ENDIF}
                  {$ELSE}
                      Error: Delphi 1,2,3,4 are not supported
                  {$ENDIF}
                {$ENDIF}
              {$ENDIF}
            {$ENDIF}
          {$ENDIF}
        {$ENDIF}
      {$ENDIF}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}


